Skip to main content
Import / Export

Request a table data export

This method requires the ExportTable permission to be associated with your role.

POST
/gb/export/table
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd

Body

application/x-www-form-urlencoded
formatenum<string>default:csv

Desired export format

Available options: csv, json, xml, excel
include_field_headers_flagenum<string>default:yes

Include field headers in export file

Available options: no, yes
remove_null_values_flagenum<string>default:no
Available options: no, yes
sample_rows_only_flagenum<string>required
Available options: no, yes
table_namestringrequired

Source table name

Maximum string length: 64
Pattern: ^[a-z0-9\_]+$
timezonestringdefault:UTC

Timestamps in export files will be presented in the specified timezone.

The timezone value can be given in several formats, none of which are case sensitive:

  • As a named time zone, such as 'Europe/Helsinki', 'US/Eastern', or 'MET'.
  • As a string indicating an offset from UTC of the form [H]H:MM, prefixed with a + or -, such as '+10:00', '-6:00', or '+05:30'. A leading zero can optionally be used for hours values less than 10;
Maximum string length: 100
Pattern: ^[a-zA-Z0-9\/\:\+\-\_]+$

Response

application/vnd.catch-e-api.v1+json

Success

formatenum<string>
Available options: csv, json
Example: csv
sample_rows_only_flagenum<string>
Available options: no, yes
Example: no
table_export_idstring
Example: 0eb06f50-4210-4ed2-9723-2c2e24df4670